MMC Snap-In for ASP.NET

ASP.NET
MMC Snap-In for ASP.NET
DropDown image

This section contains topics that describe how to use the Microsoft Management Console (MMC) snap-in to configure ASP.NET and ASP.NET applications.

MMC hosts administrative tools that you can use to administer computers, services, other system components, and networks. You can add one or more of these administrative tools, called snap-ins, to the console to manage a Web application. The ASP.NET Snap-In tool for Microsoft Management Console (MMC) provides a one-stop user interface (UI) to configure Web servers and the applications they host. It includes several dialog boxes that let you manage specific features, such as custom error handling or user authentication.

In This Section

General Tab, ASP.NET Configuration Settings Dialog Box
Custom Errors Tab, ASP.NET Configuration Settings Dialog Box
Authorization Tab, ASP.NET Configuration Settings Dialog Box
Authentication Tab, ASP.NET Configuration Settings Dialog Box
Application Tab, ASP.NET Configuration Settings Dialog Box
State Management Tab, ASP.NET Configuration Settings Dialog Box
Locations Tab, ASP.NET Configuration Settings Dialog Box
Edit/Add Connection String Dialog Box
Edit/Add Application Settings Dialog Box
Edit/Add Custom Error Handlers Dialog Box
Edit Rule Dialog Box
Add Location Dialog Box

Related Sections

Configuring ASP.NET Applications

Provides information about the ASP.NET configuration model. This includes the use of XML files and of the configuration programming API.
To make a suggestion or report a bug about Help or another feature of this product, go to the feedback site.


General Tab, ASP.NET Configuration Settings Dialog Box

General Tab, ASP.NET Configuration Settings Dialog Box
See Also
DropDown image

The General tab of the ASP.NET Configuration Settings dialog box lets you manage the following two types of configuration settings:

  • Connection strings, which define information that is used to establish a connection to a data store, such as a database.

  • Application settings, which are simple name/value pairs that let you create application-wide values in a central location. You can then access the application values from anywhere within the Web application. By keeping application settings as part of your configuration, you can easily change the settings. Application settings are always stored as strings.

The settings that you make on the General tab apply to the Web application that you selected before opening the Properties dialog box.

Note Note

Configuration settings can be inherited. Settings can be defined in the Machine.config file, which acts as the base configuration for all Web sites and applications that are on the server. You can create new settings or override inherited settings by making configuration settings at the Web application level.

To open the General dialog box

  1. In Microsoft Windows, open Administrative Tools, and then click Internet Information Services (IIS) Manager.

    IIS Manager appears.

  2. Under Internet Information Services, expand Servername (local computer), expand Web Sites, right-click either Websitename or Default Website, and then click Properties.

    The Web Site Properties dialog box appears.

  3. Click the ASP.NET tab, and then click Edit configuration.

    The ASP.NET Configuration Settings dialog box appears.

  4. Click the General tab.

Tasks

Using the General tab, you can do the following:

  • Define database connection strings for the Web application.

  • Create string values to store frequently used information. Then, you can access the information from anywhere within the application and the information is easy to change.

UI Elements

Connection string manager

Lists the connection strings that are defined for the selected Web application. Inherited settings are italic and inherited settings that you have overridden are bold.

Add

Click to display the Edit/Add Connection String dialog box, where you can create a new connection string.

Edit

Click to display the Edit/Add Connection String dialog box, where you can edit an existing connection string.

You can override inherited settings; in which case, the overridden setting applies only to the selected Web application. You cannot edit an inherited setting to change its value higher in the configuration hierarchy.

Remove

Click to remove or disable the connection string.

You can permanently remove new settings that are defined for this Web application. If you remove an inherited setting, the original setting is left intact in its location in the hierarchy and IIS Manager creates a <remove> entry for the setting, which disables the setting.

Reset

Click to restore an overridden or removed setting to its original value.

IIS Manager removes the local, overridden value or deletes the <remove> entry to allow the inherited setting to take precedence.

Application Settings

Lists the application setting key/value pairs.

Add

Click to display the Edit/Add Application Setting dialog box, where you can create a new key/value pair.

Edit

Click to display the Edit/Add Application Setting dialog box, where you can create a new key/value pair.

You can override inherited settings; in which case, the overridden setting applies only to the selected Web application. You cannot edit an inherited setting to change its value higher in the configuration hierarchy.

Remove

Click to remove or disable the key/value pair.

You can permanently remove new application settings that are defined for this Web application. If you remove an inherited setting, the original setting is left intact in its location in the hierarchy, and IIS Manager creates a <remove> entry for the setting, which disables the setting

Reset

Click to restore an overridden or removed key/value pair to its original value.

IIS Manager removes the local overridden value or deletes the <remove> entry to allow the inherited setting to take precedence.

See Also

Tasks

How to: Access ASP.NET Configuration Settings Programmatically

Reference

Authentication Tab, ASP.NET Configuration Settings Dialog Box
Authorization Tab, ASP.NET Configuration Settings Dialog Box
Custom Errors Tab, ASP.NET Configuration Settings Dialog Box
Locations Tab, ASP.NET Configuration Settings Dialog Box
connectionStrings Element (ASP.NET Settings Schema)
appSettings Element (General Settings Schema)

Concepts

ASP.NET Configuration Overview


Custom Errors Tab, ASP.NET Configuration Settings Dialog Box

Custom Errors Tab, ASP.NET Configuration Settings Dialog Box
DropDown image

When an error occurs in an ASP.NET Web page or component, ASP.NET raises an error code. Errors can include the following types:

  • Compile-time.

  • Parser (malformed ASP.NET elements).

  • Configuration.

  • Run-time.

By default, ASP.NET dynamically generates an error page that contains a description of the error, the name of the page on which the error occurred, and a stack trace. If debug mode is enabled, the dynamically generated page also includes an excerpt of the source code where the error originated. By defining custom errors, you can specify how the Web application responds when an error occurs.

Note Note

For detailed information about debugging mode, see Application Tab, ASP.NET Configuration Settings Dialog Box.

To display the Custom Errors tab of the ASP.NET Configuration Settings dialog box

  1. In Microsoft Windows, open Administrative Tools, and then click Internet Information Services (IIS) Manager.

    IIS Manager appears.

  2. Under Internet Information Services, expand Servername (local computer), expand Web Sites, right-click either Websitename or Default Website, and then click Properties.

    The Web Site Properties dialog box appears.

  3. Click the ASP.NET tab, and then click Edit Configuration.

    The ASP.NET Configuration Settings dialog box appears.

  4. Click the Custom Errors tab.

Tasks

Using the Custom Errors tab, you can do the following:

  • Specify a default error page to display when an ASP.NET error occurs anywhere in the Web application.

  • Map specific HTTP error codes to corresponding error pages.

    Note Note

    Mappings work only for errors that ASP.NET is notified of. For example, by default, ASP.NET is not notified of HTTP 404 errors (page not found). If you want ASP.NET to receive these errors, you can set the Web site properties to map HTTP errors to .aspx pages.

  • Specify whether custom error pages are displayed for all users, no users, or remote (non-administrative) users.

UI Elements

Custom error mode

Click a mode to specify how custom errors are displayed, as follows:

  • On

    Custom error pages are always displayed. Use this setting to view errors while you are developing the Web application.

  • Off

    Custom error pages are not displayed. Instead, errors result in a dynamically generated ASP.NET error page.

  • Remote Only

    Errors are redirected only for requests that do not originate locally on the Web server. Use this mode to view ASP.NET errors while working on the server, but display custom errors the Web application users.

Default redirect URL

Type the page name (.aspx or .htm) to display in response to unhandled errors anywhere in the Web application.

Inherited custom errors

Lists the custom error pages that are inherited from configuration files that are higher in the hierarchy. You can override the inherited error settings by adding a local custom error for the status code you want to override.

Local custom errors

Lists the error pages for the current Web site, specifically.

Add

Click to open the Edit/Add Custom Error Handlers dialog box where you can specify an HTTP error code and the page to display when ASP.NET detects the error.

Note Note

Mappings work only for errors that ASP.NET is notified of. For example, by default, ASP.NET is not notified of HTTP 404 errors (page not found). If you want ASP.NET to receive these errors, you can set the Web site properties to map HTTP errors to .aspx pages.

You must provide the HTTP error code and the URL of the page it maps to. The page that you reference does not have to be in the current Web site.

Note Note

IIS Manager does not validate the URL that you enter.

Edit

Click to open the Edit/Add Custom Error Handlers dialog box where you can change the page name or error code for the page that you selected under Local custom errors.

Remove

Click to delete an error page mapping.

See Also

Tasks

How to: Access ASP.NET Configuration Settings Programmatically

Reference

Authentication Tab, ASP.NET Configuration Settings Dialog Box
Authorization Tab, ASP.NET Configuration Settings Dialog Box
Locations Tab, ASP.NET Configuration Settings Dialog Box
connectionStrings Element (ASP.NET Settings Schema)
appSettings Element (General Settings Schema)

Concepts

ASP.NET Configuration Overview


Authorization Tab, ASP.NET Configuration Settings Dialog Box

Authorization Tab, ASP.NET Configuration Settings Dialog Box
DropDown image

The Authorization tab of the ASP.NET Configuration Settings dialog box lets you manage authorization rules for the current Web site directory based on user accounts and roles. You can create user accounts and roles by using Microsoft Windows authentication or ASP.NET Forms authentication (ASP.NET membership). You can add, edit, or remove rules for the current Web site directory. Rules are applied to the current subdirectory and all child subdirectories of the current URL unless otherwise overwritten by a configuration file setting in the child subdirectory.

Inherited rules from the Machine.config configuration file and any parent virtual directory also appear, but cannot be edited. To change the effect of inherited rules, you can create new settings at the Web site level. Application settings are always stored as strings.

The settings that you make on the Authorization tab apply to the Web site that you selected before displaying the Properties dialog box.

Note Note

Configuration settings can be inherited. Settings can be defined in the Machine.config file, which acts as the base configuration for all Web sites on the server. For more information about ASP.NET configuration files, see ASP.NET Configuration File Hierarchy and Inheritance.

To open the Authorization dialog box

  1. In Windows, open Administrative Tools, and then click Internet Information Services (IIS) Manager.

    IIS Manager appears.

  2. Under Internet Information Services, expand Servername (local computer), expand Web Sites, right-click either Websitename or Default Website, and then click Properties.

    The Web Site Properties dialog box appears.

  3. Click the ASP.NET tab, and then click Edit Configuration.

  4. The ASP.NET Configuration Settings dialog box appears.

  5. Click the Authorization tab.

Tasks

Using the Authorization tab, you can do the following:

  • View authorization rules that are defined in all inherited configuration files, including the Machine.config file.

  • Add, edit, and remove authorization rules for the current Web site directory.

Rule Precedence

Authorization rules are applied in order, from top to bottom. In some cases, you might have to create multiple rules for the same folder in order to establish the correct permissions. For example, you might create a rule that denies access to anonymous user accounts and a second rule that denies access to user accounts in the role of Guest. That way, only users who are logged on (users who are not anonymous) and in another group (not Guest) can gain access the folder.

Web.config Settings

The Web.config settings that are managed through the Security tab are the <authorization>, <roleManager>, and <authentication> sections.

The following excerpt from a Web.config file restricts access to a subdirectory of the Web site. Access to the restricted subdirectory is allowed for administrators and for the user named John, and is denied for anonymous users.

CopyCode image Copy Code
<?xml version="1.0" encoding="utf-8"?>
<configuration>
    <system.web>
        <authorization>
            <allow roles="administrators" />
            <allow users="John"/>
            <deny users="?" />
        </authorization>
    </system.web>
</configuration>

UI Elements

Inherited authorization rules

Lists the inherited authorization rules that are defined in the Machine.config file or any parent virtual directory, as defined in ASP.NET Configuration File Hierarchy and Inheritance. Inherited settings are italic and inherited settings that you have overridden are bold.

Local authorization rules

Lists the authorization rules that are applied to the current Web site directory and to all its child directories.

Add

Click to open the Edit Rule Dialog Box to create a new rule.

Edit

Click to open the Edit Rule Dialog Box to edit the selected rule.

Remove

Click to delete the selected row from Local authorization rules.

See Also

Tasks

How to: Access ASP.NET Configuration Settings Programmatically

Reference

Authentication Tab, ASP.NET Configuration Settings Dialog Box
Locations Tab, ASP.NET Configuration Settings Dialog Box
connectionStrings Element (ASP.NET Settings Schema)
appSettings Element (General Settings Schema)

Concepts

ASP.NET Configuration Overview

Other Resources

MMC Snap-In for ASP.NET


Authentication Tab, ASP.NET Configuration Settings Dialog Box

Authentication Tab, ASP.NET Configuration Settings Dialog Box
See Also
DropDown image

The Authentication tab of the ASP.NET Configuration Settings dialog box lets you manage authentication of user accounts and roles for the current Web site. ASP.NET Authentication is the process of obtaining identification credentials, such as a user name and password from a user account, for validating the credentials against some authority. For a complete description of how ASP.NET implements authentication, see ASP.NET Authentication.

The Authentication tab also provides support to add, remove, and configure membership providers and role management for the current Web application. ASP.NET role management lets you specify the resources that user accounts in your application have access to. Role management lets you treat groups of user accounts as a unit by assigning user accounts to roles. For more information about ASP.NET role management, see Understanding Role Management.

You can create and use custom membership providers in your Web application. For a complete description of how to implement a custom membership provider, see Implementing a Membership Provider.

The settings that you make on the Authentication tab apply to the Web site that you selected before opening the Properties dialog box.

Note Note

Configuration settings can be inherited. Settings can be defined in the Machine.config file, which acts as the base configuration for all Web sites on the server. For more information about ASP.NET configuration files, see ASP.NET Configuration File Hierarchy and Inheritance.

To display the Authentication tab of the ASP.NET Configuration Settings dialog box

  1. In Microsoft Windows, open Administrative Tools, and then click Internet Information Services (IIS) Manager.

    IIS Manager appears.

  2. Under Internet Information Services, expand Servername (local computer), expand Web Sites, right-click either Websitename or Default Website, and then click Properties.

    The Web Site Properties dialog box appears.

  3. Click the ASP.NET tab, and then click Edit Configuration.

    The ASP.NET Configuration Settings dialog box appears.

  4. Click the Authentication tab.

Tasks

Using the Authentication tab, you can do the following:

  • Configure the authentication type for the current Web application.

  • Add, remove, and modify membership providers for the current Web application.

  • Add, remove, and modify role membership providers for the current Web application.

UI Elements

Authentication mode

Click to specify the authentication mode for the current Web site. For a complete description of each authentication mode, see ASP.NET Authentication.

HTTP cookie name

Type the name of the HTTP cookie to use for authentication in the current Web site. HTTP cookie name is only available for configuring Forms authentication.

Login URL

Type the URL to which the request is redirected for log on, if no valid authentication cookie is found. The default is login.aspx. Login URL is only available for configuring Forms authentication.

Cookie protection

Click to specify the type of encryption, if any, to use for the authentication cookie. Cookie protection is only available for configuring Forms authentication.

Cookie timeout

Enter the amount of time, in integer minutes, after which the authentication cookie expires. The default is 30. Cookie timeout is only available for configuring Forms authentication.

Require SSL

Select this check box to specify that an SSL connection is required to transmit the authentication cookie. Require SSL is only available for configuring Forms authentication.

Enable sliding expiration

Select this check box to reset the expiration time for a valid authentication cookie, if a request is made and more than half of the timeout interval has elapsed. Enable sliding expiration is only available for configuring Forms authentication.

Membership provider class

Click to specify the configured membership providers for the current Web site.

Manage Providers

Click to open the Provider Settings dialog box where you can add, remove, and configure membership providers for the current Web site.

Role management enabled

Select this check box to enable role management to manage access rules for groups of user accounts.

Role provider class

Click to specify the configured role membership providers for the current Web site.

Manage Providers

Click to open the Provider Settings dialog box where you can add, remove, and configure role membership providers for the current Web site.

See Also

Concepts

Implementing a Membership Provider
Understanding Role Management
ASP.NET Configuration File Hierarchy and Inheritance

Other Resources

ASP.NET Authentication
MMC Snap-In for ASP.NET


Application Tab, ASP.NET Configuration Settings Dialog Box

Application Tab, ASP.NET Configuration Settings Dialog Box
DropDown image

The Application tab of the ASP.NET Configuration Settings dialog box lets you manage three types of configuration settings:

  • Common compilation, page, and run-time settings.

  • Globalization settings.

  • Identity settings.

To display the ASP.NET Configuration Settings dialog box from the Microsoft Internet Information Services (IIS) Manager

  1. Open the Properties dialog box for the Web application.

  2. Click ASP.NET, click Edit Configuration, and then click Application.

The settings that you make in the Application tab apply to the Web application that you selected before displaying the Properties dialog box. The settings that you apply in the Application tab will appear in the system.web configuration section of the Web.config file for the Web application.

Note Note

Configuration settings can be inherited. Settings can be defined in the Machine.config file, which acts as the base configuration for all Web sites and Web applications on the server. You can create new settings or override inherited settings by making configuration settings at the Web-application level.

For information about ASP.NET Configuration Settings, see ASP.NET Configuration Overview

Tasks

  • Using the Application tab, you can complete the following tasks:

  • Set the default language for the ASP.NET pages in the Web application.

  • Set the default theme and master page for the Web application.

  • Enable debugging for the Web application.

  • Specify the maximum number of seconds a request can run before it is automatically shut down by ASP.NET.

  • Set content encoding character sets for requests, responses, and culture settings, which determine the results of culture-dependent functions, such as the date, number, and currency formatting.

  • Set the windows identity that will be impersonated and under which the ASP.NET pages run.

UI Elements

The Application tab has three categories, as follows:

  • Common compilation, Page and Runtime Settings

  • Globalization Settings

  • Identify Settings

Common Compilation, Page and Runtime Settings

Lets you make configuration settings for Page Language Default, Page Theme Default, Page Master Default, Enable Debugging, and Request Execution Timeout (seconds).

Page Language Default

Lets you select the default programming language to use in dynamic compilation files. The available languages are VB (Microsoft Visual Basic development system), C#, JS (Microsoft JScript development software), and VJ# (Microsoft Visual J# development tool).

Page Theme Default

Lets you specify the default theme to apply to all pages in the Web application.

Page Master Default

Lets you specify the path for the master page file relative to the local configuration file.

Enable Debugging

Lets you specify whether to compile retail or debug binaries. The value is false, if the check box is clear.

Request Execution Timeout (seconds)

Lets you set the maximum number of seconds that a request is allowed to execute before being automatically shut down by ASP.NET.

Globalization Settings

Lets you make configuration settings for Request Encoding, Response Encoding, Culture, and UI Culture.

Request Encoding

Lets you specify the assumed encoding of each incoming request, including posted data and the query string. The default is UTF-8.

Response Encoding

Lets you specify the content encoding of responses. The default is UTF-8.

File Encoding

Lets you specify the default encoding for .aspx, .asmx, and .asax file parsing.

Culture

Lets you select the default culture for processing incoming Web requests. The culture determines the results of culture-dependent functions, such as the date, number, and currency formatting.

UI Culture

Lets you select the default culture for processing locale-dependent resource searches.

Identity Settings

Lets you make configuration settings for Impersonate, User Name, and Password.

Impersonate

Lets you specify whether client impersonation is used on each request.

User Name

Lets you specify the user name to use, if client impersonation is used on each request.

Password

Lets you specify the password to use, if client impersonation is used on each request.

See Also

Tasks

How to: Access ASP.NET Configuration Settings Programmatically
How to: Set the Culture and UI Culture for ASP.NET Web Page Globalization

Reference

Authentication Tab, ASP.NET Configuration Settings Dialog Box
Authorization Tab, ASP.NET Configuration Settings Dialog Box
Custom Errors Tab, ASP.NET Configuration Settings Dialog Box
General Tab, ASP.NET Configuration Settings Dialog Box
Locations Tab, ASP.NET Configuration Settings Dialog Box

Concepts

ASP.NET Configuration Overview
ASP.NET Themes Overview
ASP.NET Master Pages Overview


State Management Tab, ASP.NET Configuration Settings Dialog Box

State Management Tab, ASP.NET Configuration Settings Dialog Box
See Also
DropDown image

The State Management tab of the ASP.NET Configuration Settings dialog box lets you manage state and page information over multiple requests for the pages in the current Web site. ASP.NET session state lets you store and retrieve values for a user account as the user navigates the different ASP.NET pages that make up a Web application. The State Management tab lets you configure how and where the values are stored.

The settings that you make on the State Management tab apply to the Web site that you selected before opening the Properties dialog box.

Note Note

Configuration settings can be inherited. Settings can be defined in the Machine.config file, which acts as the base configuration for all Web sites on the server. For more information about ASP.NET configuration files, see ASP.NET Configuration File Hierarchy and Inheritance.

To display the State Management tab of the ASP.NET Configuration Settings dialog box

  1. In Microsoft Windows, click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.

    IIS Manager appears.

  2. Under Internet Information Services, expand Servername (local computer), expand Web Sites, right-click either Websitename or Default Website, and then click Properties.

    The Web Site Properties dialog box appears.

  3. Click the ASP.NET tab, and then click Edit Configuration.

    The ASP.NET Configuration Settings dialog box appears.

  4. Click the State Management tab.

Tasks

Using the State Management tab, you can do the following:

  • Select the session-state mode for the current Web application.

  • Configure the SQLServer and StateServer session-state modes.

UI Elements

Session state mode

Click a session-state mode. The default session-state mode is InProc, or in memory on the Web server. For a list of the session-state modes that are available for ASP.NET, see Session-State Modes.

Cookieless mode

Click a cookie mode to define when to use a cookie to maintain information about the user. For information about the available cookieless modes, see HttpCookieMode.

Session Timeout

Enter the time, in minutes, that is allowed between requests before the session is terminated.

Connection string

Enter the connection string to identify the server name and port for the ASP.NET state service for the StateServer mode.

Network timeout

Enter the time, in seconds, that is allowed between requests before the network session is terminated for the StateServer mode.

Connection string

Enter the connection string to identify the server name and port for the SQLServer mode.

See Also

Reference

HttpCookieMode

Concepts

Session-State Modes
ASP.NET Configuration File Hierarchy and Inheritance

Other Resources

MMC Snap-In for ASP.NET


Locations Tab, ASP.NET Configuration Settings Dialog Box

Locations Tab, ASP.NET Configuration Settings Dialog Box
DropDown image

Configuration settings can be applied to a specific Web application or directory by using a location tag with an appropriate path attribute. The path attribute can be used to identify a specific file or child directory to which unique configuration settings apply. Using the Locations tab of the ASP.NET Configuration Settings dialog box is a way to embed configuration settings inside a configuration file.

The Locations tab of the ASP.NET Configuration Settings dialog box lets you manage the following:

  • Location configurations, which are the path location configurations that are defined in the configuration files for nodes.

To display the ASP.NET Configuration Settings dialog box from the Microsoft Internet Information Services (IIS) Manager

  1. Open the Properties dialog box for the Web application.

  2. Click ASP.NET, click Edit Configuration, and then click Application.

The settings that you make on the Locations tab apply to the Web application that you selected before displaying the Properties dialog box.

Note Configuration settings can be inherited. Settings can be defined in the Machine.config file, which acts as the base configuration for all Web sites and Web applications on the server. You can create new settings or override inherited settings by making configuration settings at the Web application level in the Web.config file.

For information about ASP.NET Configuration Settings, see ASP.NET Configuration Overview

Tasks

Using the Locations tab, you can complete the following task:

  • Specify the path location configurations that are defined in the configuration file for a node.

UI Elements

Location configurations

Add

Lets you display the Add Location dialog box in which you specify an index and a location to add a new location to the Location Configuration dialog box in the ASP.Net configuration Settings dialog box.

Edit Configuration

Lets you display a new ASP.NET Configuration Settings tab for the node that is specified by the path in the containing configuration file.

Remove

Lets you remove a location entry from the configuration file for this node.

See Also

Tasks

How to: Access ASP.NET Configuration Settings Programmatically

Reference

General Tab, ASP.NET Configuration Settings Dialog Box
Authentication Tab, ASP.NET Configuration Settings Dialog Box
Authorization Tab, ASP.NET Configuration Settings Dialog Box
Custom Errors Tab, ASP.NET Configuration Settings Dialog Box
Application Tab, ASP.NET Configuration Settings Dialog Box

Concepts

ASP.NET Configuration Overview
Securing ASP.NET Configuration


Edit/Add Connection String Dialog Box

Edit/Add Connection String Dialog Box
DropDown image

The Edit/Add Connection String dialog box lets you create a new ConnectionString property or edit an existing ConnectionString property. The Edit/Add Connection String dialog box appears when you click Add or Edit on the General tab in the ASP.NET Configuration Settings dialog box.

To display the ASP.NET Configuration Settings dialog box from the Microsoft Internet Information Services (IIS) Manager

  1. Open the Properties dialog box for the Web application.

  2. Click ASP.NET, click Edit Configuration, and then click Application.

You can click Add on the General tab in the ASP.NET Configuration Settings dialog box to display the Edit/Add Connection String dialog box. Then, you specify the name or key for the ConnectionString property and the Connection parameter.

You can also click Edit on the General tab in the ASP.NET Configuration Settings dialog box to display the Edit/Add Connection String dialog box, where you can then edit an existing ConnectionString property. The selected ConnectionString property appears in the Connection parameter box.

Note Note

You can override inherited settings; in which case, the overridden setting applies only to the selected Web application. You cannot edit an inherited setting to change its value higher up in the configuration hierarchy.

For information about ASP.NET Configuration Settings, see ASP.NET Configuration Overview

Tasks

Using the Edit/Add Connection String dialog box, you can complete the following tasks:

  • Add a new ConnectionString property to the Connection string manager dialog box on the General tab.

  • Edit an existing ConnectionString property in the Connection string manager dialog box on the General tab.

UI Elements

Edit/Add Connection String

Name

Lets you specify the name for the ConnectionString property.

If you invoke the Edit/Add Connection String dialog box by clicking Edit on the General tab, you cannot specify a name for the connection string.

Connection Parameter

Lets you specify the value for the ConnectionString property.

If you invoke the Edit/Add Connection String dialog box by clicking Edit on the General tab, the Connection parameter box contains the value of an existing ConnectionString property.

OK

Lets you apply the new ConnectionString property that you created or apply the changes that you made to an existing ConnectionString property.

Cancel

Lets you close the Edit/Add Connection String dialog box. No changes are written to the connection string manager.

See Also

Reference

General Tab, ASP.NET Configuration Settings Dialog Box
connectionStrings Element (ASP.NET Settings Schema)

Concepts

ASP.NET Configuration Overview


Edit/Add Application Settings Dialog Box

Edit/Add Application Settings Dialog Box
DropDown image

Application settings are simple key/value pairs that let you create application-wide values in a central location that can be accessed from anywhere within the Web application. By keeping application settings as part of your configuration in the Web.config file, you can easily change them. The Application settings dialog box on the General tab displays the list of application setting key/value pairs.

The Edit/Add Application Settings dialog box lets you create and edit Web application settings.

You can click Add in the Application settings part of the General tab in the ASP.NET Configuration Settings dialog box to display the Edit/Add Application Settings dialog box. Then, you specify the key and value for the AppSettings property, which are added to the Application settings dialog box and the Web.config file for the Web application.

Similarly, you can select a setting in the Application settings dialog box, and then click Edit. Then, you can change the value of the selected AppSettings property. The changes are added to the Application settings dialog box and the Web.config file for the Web application.

To display the ASP.NET Configuration Settings dialog box from the Microsoft Internet Information Services (IIS) Manager

  1. Open the Properties dialog box for the Web application.

  2. Click ASP.NET, click Edit Configuration, and then click Application.

For information about ASP.NET Configuration Settings, see ASP.NET Configuration Overview

Tasks

Using the Edit/Add Application Settings dialog box, you can complete the following tasks:

  • Create new key/value pairs that let you create application-wide values in a central location.

  • Edit a key/value pair that is currently in the Web application.

UI Elements

Key

Lets you add a new key for a key/value pair. If you clicked Edit, you cannot specify a new key in textbox.

Value

Lets you add a new value for a key/value pair. If you clicked Edit, you can change the value of the selected key/value pair.

OK

Lets you apply the new AppSettings property that you created or apply the changes to an existing application setting.

Cancel

Lets you close the Edit/Add Application Settings dialog box without making any changes to the application settings or the Web.config file for the Web application.

See Also

Reference

General Tab, ASP.NET Configuration Settings Dialog Box
appSettings Element (General Settings Schema)

Concepts

ASP.NET Configuration Overview


Edit/Add Custom Error Handlers Dialog Box

Edit/Add Custom Error Handlers Dialog Box
DropDown image

The Edit/Add Custom Error Handlers dialog box lets you map an error code to a specific error page. When ASP.NET generates the error code, it displays the specified page.

The settings that you make in the Edit/Add Custom Error Handlers dialog box apply to the Web application that you select before opening the Properties dialog box.

Note Note

Configuration settings can be inherited. Settings can be defined in the Machine.config file, which acts as the base configuration for all Web sites and applications that are on the server. You can create new settings or override inherited settings by making configuration settings at the Web application level.

Note ASP.NET does not receive certain error codes, such as 404. You can map only errors that are generated internally in ASP.NET.

To open the Edit/Add Custom Error Handlers dialog box

  1. In Microsoft Windows, open Administrative Tools, and then click Internet Information Services (IIS) Manager.

    IIS Manager appears.

  2. Under Internet Information Services, expand Servername (local computer), expand Websitename or Default Website, and then click Properties.

    The Web Site Properties dialog box appears.

  3. Click the ASP.NET tab, and then click Edit Configuration.

    The ASP.NET Configuration Settings dialog box appears.

  4. Click Custom Errors.

    • To add a custom error handler, click Add.

    • To edit a custom error handler, click Edit.

    The Edit/Add Custom Error Handlers dialog box appears.

UI Elements

Status code

Type the HTTP error code to map to an error page.

Redirect URL

Type the URL of the page for ASP.NET to display in response to the error code. The page that you reference does not have to be in the current Web site.

Note Note

ASP.NET does not validate the URL that you enter.

OK

Click to save the custom error handler.

Cancel

Click to cancel changes.

See Also

Reference

Custom Errors Tab, ASP.NET Configuration Settings Dialog Box
Custom Errors Tab, ASP.NET Configuration Settings Dialog Box


Edit Rule Dialog Box

Edit Rule Dialog Box
DropDown image

The Edit Rule dialog box lets you create a new authorization rule or edit an existing one. You can create user accounts and roles by using Microsoft Windows authentication or ASP.NET Forms authentication (ASP.NET membership).

To open the Edit Rule dialog box

  1. In Windows, open Administrative Tools, and then click Internet Information Services (IIS) Manager.

    IIS Manager appears.

  2. Under Internet Information Services, expand Servername (local computer), expand Web Sites, right-click either Websitename or Default Website, and then click Properties.

    The Web Site Properties dialog box appears.

  3. Click the ASP.NET tab, and then click Edit Configuration.

    The ASP.NET Configuration Settings dialog box appears.

  4. Click the Authorization tab.

    • To add a rule, click Add.

    • To edit a rule, click a rule, and then click Edit.

    The Edit Rule dialog box appears.

Tasks

Using the Edit Rule dialog box, you can do the following:

  • Create a new authorization rule or edit an existing one.

UI Elements

Rule type

Click Allow to allow all users access.

-Or-

Click Deny to deny all users access.

For detailed information about rules, see AuthorizationRuleCollection.

Verbs

Click All Verbs to specify that all ASP.NET HTTP transmission methods are allowed access. All Verbs is the default.

Click Specific verbs, and then type a comma-separated list of the HTTP transmission methods that are granted access.

Verbs that are registered to ASP.NET are GET, HEAD, POST, and DEBUG.

Users and roles

Required.

Complete one or more of the following actions to apply the rule:

  • Click All users to apply the rule to all users.

  • Click Anonymous users to apply the rule to only anonymous user accounts.

  • Click Users, and then type a comma-separated list of user account names to apply the rule to a specific set of user accounts.

  • Select the Roles check box, and then type a comma-separated list of role names to apply the rule to a specific set of roles.

If you specify both Users and Roles, the rule applies only to user accounts that are in the specified roles.

Use Windows authentication or ASP.NET Forms authentication (ASP.NET membership) to define user accounts and roles.

OK

Click to apply the rule.

Cancel

Click to cancel changes.

See Also

Tasks

How to: Implement Simple Forms Authentication

Reference

Authorization Tab, ASP.NET Configuration Settings Dialog Box
Authorization Tab, ASP.NET Configuration Settings Dialog Box

Concepts

Forms Authentication Across Applications

Other Resources

Managing Authorization Using ASP.NET Roles (Visual Studio)


Add Location Dialog Box

Add Location Dialog Box
DropDown image

The Add Location dialog box enables you to add a new location configuration setting to your Web site. Configuration settings can be applied to specific resources by using a <location> tag with an appropriate path attribute. The path attribute can be used to identify a specific file or child directory to which unique configuration settings apply.

The Add Location dialog box appears when you click the Add button under the Locations tab in the ASP.NET Configuration Settings dialog box.

To display the ASP.NET Configuration Settings dialog box from the Microsoft Internet Information Services (IIS) Manager

  1. Open the Properties dialog box for the Web application.

  2. Click ASP.NET, click Edit Configuration, and then click Application.

Using the Add Location dialog box, you can:

  • Specify the index (key) of the locations item.

  • Specify the value of the location being added to Location configuration list.

UI Elements

Index

Specifies the index (key) of the locations item.

Location

Specifies the value of the item being added to list. (For example, the path to a specific file or directory).

OK

Applies the new location value you enter into the Location configurations box in the ASP.NET Configuration Settings dialog box. Closes the Add Location dialog box.

Cancel

Closes the Add Location dialog box. No changes are written to the Location configurations box.

See Also

Reference

Locations Tab, ASP.NET Configuration Settings Dialog Box
Local IIS Tab, Choose Location/Open Web Site Dialog Box

Concepts

ASP.NET Configuration Overview


dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}
DropDown image

dv_aspnetmmchxs {2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

{2DDA7CF9-E8CF-4df1-98E8-521EDE1C5FC7}

Full Text Search and Index Debug Topic graphic